# 设定输出目录

使用`set(EXECUTABLE_OUTPUT_PATH "${PROJECT_SOURCE_DIR}/bin")`可以将可执行文件的输出目录设置为项目根目录下的 bin 文件夹中。

设置`set(LIBRARY_OUTPUT_PATH "${PROJECT_SOURCE_DIR}/bin/lib")`可以设定库文件的输出目录。

所有常用目录的设置变量如下：

| 变量                                     | 设置功能                       |
| ---------------------------------------- | ------------------------------ |
| `EXECUTABLE_OUTPUT_PATH`                 | 可执行文件输出目录             |
| `LIBRARY_OUTPUT_PATH`                    | 库文件输出目录                 |
| `CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG`   | Debug 版本可执行文件输出目录   |
| `CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE` | Release 版本可执行文件输出目录 |
| `CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG`   | Debug 版本库文件输出目录       |
| `CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE` | Release 版本库文件输出目录     |
| `CMAKE_DEBUG_POSTFIX`                    | Debug 版本库文件后缀名         |
| `CMAKE_RELEASE_POSTFIX`                  | Release 版本库文件后缀名       |
