# 利用指针构建复杂数据结构

指针可以用来在不同的内存区块间建立关联，这就为一些复杂数据结构的建立提供了便利。以下给出两个常见的示例。

```c++
// 双向链表
struct Link {
    Link *prev;
    Link *next;
    std::string content;
};

// 二叉树
struct Joint {
    Joint *left;
    std::string content;
    Joint *right;
}
```
