# 指针的使用

由于指针变量中保存的是内存地址，所以给指针变量赋值时就需要取得被指向变量所在的内存地址。获取内存地址使用`&`操作符。

```c++
int target = 20;
int *p;
p = &target; // 获取变量target的地址，赋予指针变量p
```

在上例中，直接输出变量 p 的内容，会是一个内存地址，如果需要取得这个内存地址中保存的内容，需要使用解引用操作符`*`。例如`*p`将会取得变量 target 的值。那么对`*p`进行赋值，也将会修改变量 target 的值，因为对`*p`赋值相当于将新的值保存到了变量 p 所保存的内存地址里，也就是对变量 target 进行了赋值。
