# 类型转换

C++可以进行强制类型转换，将一种数据类型转换为另一种数据类型。强制类型转换的表达式格式为`(目标类型)表达式`。除了使用数据类型进行强制类型转换以外，C++还提供了一下几个常用的强制类型转换运算符。

- `const_cast<目标类型>(表达式)`，用于修改类型的`const`/`volatile`属性。
- `dynamic_cast<目标类型>(表达式)`，在运行时执行转换，转换将被验证，转换失败返回`null`。
- `reinterpret_cast<目标类型>(表达式)`，将指针转换为其他类型。
- `static_cast<目标类型>(表达式)`，执行非动态转换，不保证转换的安全性。
