# 结构

结构是 C++中的一种用户可以自定义的数据类型，允许用户存储不同的数据项。结构一般用于表示一条记录，其声明格式为：

```c++
struct 结构类型名 {
    成员1类型 成员1名称;
    成员2类型 成员2名称;
    成员3类型 成员3名称;
    ...
} 结构变量名;

// 用结构类型名来声明新的变量需要使用以下格式
结构类型名 结构变量名;
```

对于 结构成员的访问使用成员访问运算符`.`，例如`book.name`。对于指向结构的指针，访问结构成员时，需要用指向运算符`->`，例如有`struct Book* book`，访问其成员的方式为`book->name`。

结构变量的初始化可以采用与数组类似的大括号列举成员值的语法，大括号中的值的顺序是结构中成员声明的顺序。

结构中可以定义成员函数，其与类的区别是，结构中的成员函数默认为`public`，而类中的成员函数默认为`private`。
