# 文件操作

C++中使用流来完成各种输入输出操作，针对不同的操作对象提供了不同的流实现类。相关的 I/O 库头文件有：

- `<iostream>`，定义`cin`、`cout`、`cerr`和`clog`，对应标准输入流、标准输出流、非缓冲标准错误流和缓冲标准错误流。
- `<iomanip>`，通过参数化的流操作器来声明对执行标准化 I/O 的服务。
- `<fstream>`，为处理文件提供服务。

流操作大量使用`<<`和`>>`操作符来表示数据的流转以及注入方向。
