# 指针作为函数参数与返回值

函数可以接受指针作为函数参数，只需要将函数的形参声明为指针类型即可。所以函数也可以接受数组作为参数。例如：`int some_function(int *ptr)`。

当函数使用指针作为参数时，在调用函数时需要传递变量的地址给函数，例如：`some_function(&param)`。但是需要注意，将数组传递给函数时，不需要获取地址，直接传递即可，例如：`some_function(arr)`。

函数也可以返回一个指针作为返回值，但 C++不支持在函数外使用局部变量的地址，除非这个局部变量是使用`static`声明的。所以要从函数中返回指针，需要将函数内要返回的变量使用`static`声明。
