# 引用作为函数参数与返回值

跟指针一样，引用也可以作为函数的参数和返回值。当作为函数的参数时，同样只需要直接声明即可，例如：`int some_function(int& x)`。调用这个函数时，不需要像指针一样传递变量的地址，只需要直接传递变量即可，例如：`some_function(a);`。

```admonish tip
在函数中对引用类型的参数进行赋值操作，会直接改变被引用内存区域的内容，使函数的实参（原变量）发生变化。
```

从函数中返回一个引用时，所需要遵守的限制与从函数中返回指针相同。

```admonish caution
从函数中返回一个局部变量的引用会超出局部变量的作用域，这种情况是不被允许的，所以只可以返回一个对静态变量的引用。
```
